<?php

// este script genera el archivo de interface con el contenido de la tabla shoop_marcas
//
// el primer archivo, categorias.htm es el menu de navegacion dentro de la tienda
// el segundo archivo, categorias2.htm es el select que aparece en el dialogo del buscador

	include('../db.php');
	include('../../_incl/code.php');

	$resultado = '';
	$conn = db_connect();
	if($conn) {
			// tengo que leer primero todos los codigos de secciones
		$query = "SELECT fab_id, fab_nombre FROM shoop_fabricantes ORDER BY fab_nombre";
		$result = mysql_query($query, $conn);
		$num_results = mysql_num_rows($result);
		for ($i=0; $i <$num_results; $i++){
			$row = mysql_fetch_array($result);
			$resultado .= '<option value="' . $row['fab_id'] . '">' . $row['fab_nombre'] . '</option>' . "\n";
		}	// FOR
	} else {	// IF CONN
		// echo '<p>An error has occurred while accessing the database: ' . mysql_error();
		// si he llegado hasta aqui es que he sido llamado desde un script de interface
		// que ya se ha asegurado de que la conexion existe o ha dado un error
		// en cualquier caso, sigo comprobando que la conexion es valida antes de meterme a hacer nada
	}
		// aqui tengo un texto o la nada
	if(strlen($resultado)) { 
		// grabo el texto a un archivo

// OJO para poder grabar el archivo tiene que estar en modo 666

		saveFile("../../marcas.htm", $resultado);
	} else {
		// no hay nada. aviso al usuario. como?
	}
	header('Location: marcas.php');
?>